class CreateAddress < ActiveRecord::Migration
  def up
    create_table :addresses do |t|
      #用户id
      t.integer :user_id
      #微信用户id
      t.integer :wx_user_id
      #联系人
      t.string :contact
      #联系电话
      t.string :tel
      #地址
      t.string :address
      # 邮编
      t.string :postcode
      #省
      t.string :province
      #市
      t.string :city
      #区
      t.string :district
      #备注
      t.string :remark
      #是否默认地址
      t.boolean :state, :default => false
      t.timestamps
    end
    add_index :addresses, :user_id
  end

  def down    
    drop_table :addresses
  end
end
